﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TrackballSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class Model
    {
        public string XData { get; set; }

        public double YData { get; set; }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            Datas = new ObservableCollection<Model>();
            Datas.Add(new Model() { XData = "Fastrack", YData = 30 });
            Datas.Add(new Model() { XData = "Sonata", YData = 20 });
            Datas.Add(new Model() { XData = "Timex", YData = 10 });
            Datas.Add(new Model() { XData = "Titan", YData = 40 });
            Datas.Add(new Model() { XData = "Rolex", YData = 25 });
            Datas.Add(new Model() { XData = "Quartz", YData = 15 });
            Datas.Add(new Model() { XData = "Q&Q", YData = 30 });
        }

        public ObservableCollection<Model> Datas { get; set; }
    }

}
